<?php
// Modifs Aurlien PIERARD

include ("inc.php3");
include_ecrire ("inc_config.php3");
include_ecrire ("inc_logos.php3");
include_ecrire ("inc_css.php");
include_ecrire ("inc_squelettes.php");

// On cre le fichier ini des feuilles de style
if (isset($_POST["ok_css"])){
	generer_fichier_ini($_POST["fichier"]);
}
// On cre le fichier ini de configuration si il y a un arrire plan
if (isset($_POST["marge"]) || isset($_POST["ok_meta"]) || isset($_POST["ok_logo"]) || isset($_POST["utilisateur"])){
	generer_fichier_ini_configuration($_POST["fichier"]);
}

debut_page(_T('titre_admin_squelettes'), "administration", "squelettes");


echo "<br><br>";
gros_titre(_T('titre_admin_squelettes'));
barre_onglets("squelettes", "squelettes_persos");



debut_gauche();

//
// Afficher les raccourcis : Gestion des squelettes types.
//

debut_raccourcis();

//
// Afficher les boutons de gestion des squelettes
//

	if (!file_exists("data/myspip/ini/configuration.ini")){
		icone_horizontale(_T('icone_squelette_entete_01'), "creer_squelette_entete.php3", "administration-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_entete_02'), "creer_squelette_entete.php3", "administration-24.gif");
	}
	echo "<hr />";
	if (!file_exists("data/myspip/ini/article.ini")){
		icone_horizontale(_T('icone_squelette_article_01'), "creer_squelette.php3?type=article", "article-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_article_02'), "creer_squelette.php3?type=article", "article-24.gif");
	}
	if (!file_exists("data/myspip/ini/breve.ini")){
		icone_horizontale(_T('icone_squelette_breve_01'), "creer_squelette.php3?type=breve", "breve-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_breve_02'), "creer_squelette.php3?type=breve", "breve-24.gif");
	}
	if (!file_exists("data/myspip/ini/contact.ini")){
		icone_horizontale(_T('icone_squelette_contact_01'), "creer_squelette.php3?type=contact", "messagerie-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_contact_02'), "creer_squelette.php3?type=contact", "messagerie-24.gif");
	}
	if (!file_exists("data/myspip/ini/forum.ini")){
		icone_horizontale(_T('icone_squelette_forum_01'), "creer_squelette.php3?type=forum", "forum-interne-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_forum_02'), "creer_squelette.php3?type=forum", "forum-interne-24.gif");
	}
	if (!file_exists("data/myspip/ini/plan.ini")){
		icone_horizontale(_T('icone_squelette_plan_01'), "creer_squelette.php3?type=plan", "asuivre-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_plan_02'), "creer_squelette.php3?type=plan", "asuivre-24.gif");
	}
	if (!file_exists("data/myspip/ini/recherche.ini")){
		icone_horizontale(_T('icone_squelette_recherche_01'), "creer_squelette.php3?type=recherche", "racine-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_recherche_02'), "creer_squelette.php3?type=recherche", "racine-24.gif");
	}
	if (!file_exists("data/myspip/ini/rubrique.ini")){
		icone_horizontale(_T('icone_squelette_rubrique_01'), "creer_squelette.php3?type=rubrique", "rubrique-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_rubrique_02'), "creer_squelette.php3?type=rubrique", "rubrique-24.gif");
	}
	if (!file_exists("data/myspip/ini/sommaire.ini")){
		icone_horizontale(_T('icone_squelette_sommaire_01'), "creer_squelette.php3?type=sommaire", "agenda-24.gif");
	}
	else {
		icone_horizontale(_T('icone_squelette_sommaire_02'), "creer_squelette.php3?type=sommaire", "agenda-24.gif");
	}
	if (file_exists("data/myspip/ini/configuration.ini")){
		echo "<hr/>";
		icone_horizontale(_T('icone_squelette_generer'), "generer_site.php", "administration-24.gif");
	}


// Fin des racourcis
fin_raccourcis();
//


// Partie droite de la page
debut_droite();

if ($connect_statut != '0minirezo' OR !$connect_toutes_rubriques) {
	echo _T('avis_non_acces_page');
	fin_page();
	exit;
}

avertissement_config();

// Mode d'utilisation : Dbutant, confirm ou exepert
// On rcupre la configuration
$config=recup_config(interface,"configuration");
if ($config["utilisateur"]==""){
	$utilisateur="confirme";
}
else {
	$utilisateur=$config["utilisateur"];
}
	

debut_cadre_relief("administration-24.gif");
echo "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=5 WIDTH=\"100%\">";
echo "<TR><TD BGCOLOR='$couleur_foncee' BACKGROUND=''><B>";
echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#FFFFFF'>";
echo "<a name=\"preference\">"._T('texte_squelettes_preferences')."</a></FONT></B></TD></TR>";
echo "<tr><td bgcolor='#EEEECC' BACKGROUND=''><B>";
echo "<font face='Verdana,Arial,Sans,sans-serif' size=3 color='#000000'>";
echo _T('texte_squelettes_niveau_utilisation')."</font></b></td></tr>";
echo "<tr><td class='serif'>";
echo "\n<p align='justify'>";
echo "<form action=\"admin_squelettes.php3#preference\" method=\"post\">";
echo "<input type=\"hidden\" name=\"bloc\" value=\"interface\" />";
echo "<input type=\"hidden\" name=\"fichier\" value=\"configuration\" />";
echo "<input type=\"radio\" name=\"utilisateur\" value=\"debutant\" Onclick=\"this.form.submit()\" ".configuration_case("debutant",$utilisateur)." />&nbsp;"._T('texte_squelettes_debutant')."<br/>\n";
echo "<input type=\"radio\" name=\"utilisateur\" value=\"confirme\" Onclick=\"this.form.submit()\" ".configuration_case("confirme",$utilisateur)." />&nbsp;"._T('texte_squelettes_confirme')."&nbsp;("._T('texte_squelettes_defaut').")<br/>\n";
echo "<input type=\"radio\" name=\"utilisateur\" value=\"expert\" Onclick=\"this.form.submit()\" ".configuration_case("expert",$utilisateur)." />&nbsp;"._T('texte_squelettes_expert')."<br/>\n";
echo "</form>";
echo "</p>";
echo "</td></tr>";
echo "</TABLE>";
fin_cadre_relief();
echo "<br/>";




//
// Gestion des squelettes
//
debut_cadre_relief("secteur-24.gif");
echo "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=5 WIDTH=\"100%\">";
echo "<TR><TD BGCOLOR='$couleur_foncee' BACKGROUND=''><B>";
echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#FFFFFF'>";
echo "<a name=\"1\">"._T('icone_squelette_general')."</a></FONT></B></TD></TR>";
echo "<tr><td class='serif'>";
echo "\n<br /><p align='justify'>";
echo _T('texte_squelettes_general_01');
echo "<br/><br/>";
echo "</p>";
echo "</td></tr>";
echo "</TABLE>";
echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=8 WIDTH=\"100%\">";
//
// disposition gnrale des pages
//
echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND=''><B>";
echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#000000'>";
echo "<a name=\"1_0\">"._T('texte_squelettes_meta_01')."</a></FONT></B></TD></TR>";
echo "<tr><td class='serif'>";
echo "<p align=\"justify\"><img src=\"img_pack/warning.gif\" style=\"float:left; margin:10px; clear:left;\" />"._T('texte_squelettes_meta_02')."</p>";
formulaire_meta("meta", "admin_squelettes.php3#1_0", "configuration");
echo "</td></tr>";
//
// disposition gnrale des pages
//
echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND=''><B>";
echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#000000'>";
echo "<a name=\"1_1\">"._T('texte_squelettes_general_02')."</a></FONT></B></TD></TR>";
echo "<tr><td class='serif'>";
if ($utilisateur=="expert"){
	formulaire_marge_largeur("marge_largeur", "admin_squelettes.php3#1_1", "configuration");
}
//
// Class body
//
// formulaire de css
$formulaire=array (	"arriere_plan" => 1,
					"bordures" => 0,
					"marges_interieures" => 0,
					"marges_exterieures" => 0,
					"largeur" => 0,
					"hauteur" => 0,
					"alignement_vertical" => 0,
					"police" => 1,
					"couleur" => 1,
					"couleur_arriere_plan" => 1,
					"puce" => 0
					);
					
formulaire_css("body", $formulaire, "admin_squelettes.php3#1_1", "typographie");
echo "</td></tr>";
echo "</TABLE>";
fin_cadre_relief();
echo "<br/>";


//
// Liens hypertexte
//
debut_cadre_enfonce("article-24.gif");
echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
echo "<TR><TD BGCOLOR='$couleur_foncee' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#FFFFFF'><a name=\"2\">"._T('info_squelettes_css_a_01')."</a></FONT></B></TD></TR>";
echo "</table>";
	// Class a
	debut_cadre_relief();
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"2_1\">"._T('info_squelettes_css_a_02')."</a></FONT></B></TD></TR>";
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
	echo "</TD></TR>";
	// formulaire de css
if ($utilisateur=="expert" || $utilisateur=="confirme"){
	$formulaire=array (	"arriere_plan" => 0,
						"bordures" => 1,
						"marges_interieures" => 0,
						"marges_exterieures" => 0,
						"largeur" => 0,
						"hauteur" => 0,						
						"alignement_vertical" => 0,
						"police" => 0,
						"alignement_police" => 0,
						"couleur" => 1,
						"couleur_arriere_plan" => 1,
						"puce" => 0
						);
}
else {
	$formulaire=array (	"arriere_plan" => 0,
						"bordures" => 0,
						"marges_interieures" => 0,
						"marges_exterieures" => 0,
						"largeur" => 0,
						"hauteur" => 0,						
						"alignement_vertical" => 0,
						"police" => 0,
						"alignement_police" => 0,
						"couleur" => 1,
						"couleur_arriere_plan" => 1,
						"puce" => 0
						);
}
	formulaire_css("a", $formulaire, "admin_squelettes.php3#2_1", "typographie");
	fin_cadre_relief();
	// Class a:hover	
	debut_cadre_relief();
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"2_2\">"._T('info_squelettes_css_a_03')."</a></FONT></B></TD></TR>";
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
	echo "</TD></TR>";
	// formulaire de css
	formulaire_css("a:hover", $formulaire, "admin_squelettes.php3#2_2", "typographie");
	fin_cadre_relief();
	// Class a:visited
	debut_cadre_relief();
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"2_3\">"._T('info_squelettes_css_a_04')."</a></FONT></B></TD></TR>";
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
	echo "</TD></TR>";
	// formulaire de css
	formulaire_css("a:visited", $formulaire, "admin_squelettes.php3#2_3", "typographie");
	fin_cadre_relief();
// Fin Liens Hypertextes	
fin_cadre_enfonce();
echo "<br/>";



//
// Style des contenus
//
debut_cadre_enfonce("article-24.gif");
echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
echo "<TR><TD BGCOLOR='$couleur_foncee' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#FFFFFF'><a name=\"3\">"._T('info_squelettes_css_contenus')."</a></FONT></B></TD></TR>";
echo "</table>";

// Class h3.spip
	debut_cadre_relief();
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"3_1\">"._T('info_squelettes_css_intertitres')."</a></FONT></B></TD></TR>";
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
	echo "</TD></TR>";
	// formulaire de css
	$formulaire=array (	"arriere_plan" => 0,
						"bordures" => 0,
						"marges_interieures" => 0,
						"marges_exterieures" => 0,
						"largeur" => 0,
						"hauteur" => 0,						
						"alignement_vertical" => 0,
						"police" => 1,
						"alignement_police" => 1,
						"couleur" => 1,
						"couleur_arriere_plan" => 1,
						"puce" => 0
						);
	formulaire_css("h3.spip", $formulaire, "admin_squelettes.php3#3_1", "spip_style");
	fin_cadre_relief();
	
// Class hr.spip
	debut_cadre_relief();
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"3_2\">"._T('info_squelettes_css_lignes')."</a></FONT></B></TD></TR>";
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
	echo "</TD></TR>";
	// formulaire de css
	$formulaire=array (	"arriere_plan" => 0,
						"bordures" => 0,
						"marges_interieures" => 0,
						"marges_exterieures" => 1,
						"largeur" => 1,
						"hauteur" => 1,						
						"alignement_vertical" => 0,
						"police" => 0,
						"alignement_police" => 1,
						"couleur" => 1,
						"couleur_arriere_plan" => 0,
						"puce" => 0
						);
	formulaire_css("hr.spip", $formulaire, "admin_squelettes.php3#3_2", "spip_style");
	fin_cadre_relief();

// Class li
	debut_cadre_relief();
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"3_3\">"._T('info_squelettes_css_puces')."</a></FONT></B></TD></TR>";
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
	echo "</TD></TR>";
//
// Tlchargement de l'image des puces du site 
//
	// puce
	$arton = "puce";
	$artoff = "";
	afficher_boite_logo($arton, $artoff, _T('texte_squelettes_puce_site'), _T('logo_survol'));
	// formulaire de css
	$formulaire=array (	"arriere_plan" => 0,
						"bordures" => 0,
						"marges_interieures" => 0,
						"marges_exterieures" => 0,
						"largeur" => 0,
						"hauteur" => 0,						
						"alignement_vertical" => 0,
						"police" => 0,
						"alignement_police" => 0,
						"couleur" => 0,
						"couleur_arriere_plan" => 0,
						"puce" => 1
						);
	formulaire_css("li", $formulaire, "admin_squelettes.php3#3_3", "spip_style");
	fin_cadre_relief();
	

	
// Class .spip_surligne
	debut_cadre_relief();
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"3_4\">"._T('info_squelettes_css_surligne')."</a></FONT></B></TD></TR>";
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
	echo "</TD></TR>";
	// formulaire de css
	$formulaire=array (	"arriere_plan" => 0,
						"bordures" => 0,
						"marges_interieures" => 0,
						"marges_exterieures" => 0,
						"largeur" => 0,
						"hauteur" => 0,						
						"alignement_vertical" => 0,
						"police" => 0,
						"alignement_police" => 0,
						"couleur" => 0,
						"couleur_arriere_plan" => 1,
						"puce" => 0
						);
	formulaire_css(".spip_surligne", $formulaire, "admin_squelettes.php3#3_4", "spip_style");
	fin_cadre_relief();
	
fin_cadre_enfonce();
echo "<br/>";


if ($utilisateur=="expert"){	
	//
	// Style des tableaux
	//
	debut_cadre_enfonce("article-24.gif");
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='$couleur_foncee' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#FFFFFF'><a name=\"4\">"._T('info_squelettes_css_tableaux')."</a></FONT></B></TD></TR>";
	echo "</table>";
	
	// Class table.spip
		debut_cadre_relief();
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"4_1\">"._T('info_squelettes_css_tableaux')."</a></FONT></B></TD></TR>";
		echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
		echo "</TD></TR>";
		// formulaire de css
		$formulaire=array (	"arriere_plan" => 0,
							"bordures" => 0,
							"marges_interieures" => 0,
							"marges_exterieures" => 0,
							"largeur" => 1,
							"hauteur" => 0,						
							"alignement_vertical" => 0,
							"police" => 0,
							"alignement_police" => 0,
							"couleur" => 0,
							"couleur_arriere_plan" => 0,
							"puce" => 0
							);
		formulaire_css("table.spip", $formulaire, "admin_squelettes.php3#4_1", "spip_style");
		fin_cadre_relief();
	
	// Class table.spip tr.row_first
		debut_cadre_relief();
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"4_2\">"._T('info_squelettes_css_tableaux_premiere_ligne')."</a></FONT></B></TD></TR>";
		echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
		echo "</TD></TR>";
		// formulaire de css
		$formulaire=array (	"arriere_plan" => 0,
							"bordures" => 0,
							"marges_interieures" => 0,
							"marges_exterieures" => 0,
							"largeur" => 0,
							"hauteur" => 0,						
							"alignement_vertical" => 0,
							"police" => 1,
							"alignement_police" => 1,
							"couleur" => 1,
							"couleur_arriere_plan" => 1,
							"puce" => 0
							);
		formulaire_css("table.spip tr.row_first", $formulaire, "admin_squelettes.php3#4_2", "spip_style");
		fin_cadre_relief();
		
	// Class table.spip tr.row_odd
		debut_cadre_relief();
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"4_3\">"._T('info_squelettes_css_tableaux_lignes_paires')."</a></FONT></B></TD></TR>";
		echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
		echo "</TD></TR>";
		// formulaire de css
		$formulaire=array (	"arriere_plan" => 0,
							"bordures" => 0,
							"marges_interieures" => 0,
							"marges_exterieures" => 0,
							"largeur" => 0,
							"hauteur" => 0,						
							"alignement_vertical" => 0,
							"police" => 0,
							"alignement_police" => 0,
							"couleur" => 1,
							"couleur_arriere_plan" => 1,
							"puce" => 0
							);
		formulaire_css("table.spip tr.row_odd", $formulaire, "admin_squelettes.php3#4_3", "spip_style");
		fin_cadre_relief();
		
		
	// Class table.spip tr.row_even
		debut_cadre_relief();
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"4_4\">"._T('info_squelettes_css_tableaux_lignes_impaires')."</a></FONT></B></TD></TR>";
		echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
		echo "</TD></TR>";
		// formulaire de css
		$formulaire=array (	"arriere_plan" => 0,
							"bordures" => 0,
							"marges_interieures" => 0,
							"marges_exterieures" => 0,
							"largeur" => 0,
							"hauteur" => 0,						
							"alignement_vertical" => 0,
							"police" => 0,
							"alignement_police" => 0,
							"couleur" => 1,
							"couleur_arriere_plan" => 1,
							"puce" => 0
							);
		formulaire_css("table.spip tr.row_even", $formulaire, "admin_squelettes.php3#4_4", "spip_style");
		fin_cadre_relief();
		
	// Class table.spip td
		debut_cadre_relief();
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"4_5\">"._T('info_squelettes_css_tableaux_cellules')."</a></FONT></B></TD></TR>";
		echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
		echo "</TD></TR>";
		// formulaire de css
		$formulaire=array (	"arriere_plan" => 0,
							"bordures" => 0,
							"marges_interieures" => 1,
							"marges_exterieures" => 0,
							"largeur" => 0,
							"hauteur" => 0,						
							"alignement_vertical" => 1,
							"police" => 1,
							"alignement_police" => 1,
							"couleur" => 0,
							"couleur_arriere_plan" => 0,
							"puce" => 0
							);
		formulaire_css("table.spip td", $formulaire, "admin_squelettes.php3#4_5", "spip_style");
		fin_cadre_relief();
	
	fin_cadre_enfonce();
	echo "<br/>";
}
if ($utilisateur=="expert" || $utilisateur=="confirme"){	
	//
	// Style des formulaires
	//
	debut_cadre_enfonce("article-24.gif");
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='$couleur_foncee' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#FFFFFF'><a name=\"5\">"._T('info_squelettes_css_formulaires')."</a></FONT></B></TD></TR>";
	echo "</table>";
	
	// Class .forml
		debut_cadre_relief();
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"5_1\">"._T('info_squelettes_css_formulaires_champs')."</a></FONT></B></TD></TR>";
		echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
		echo "</TD></TR>";
		// formulaire de css
		$formulaire=array (	"arriere_plan" => 0,
							"bordures" => 0,
							"marges_interieures" => 0,
							"marges_exterieures" => 0,
							"largeur" => 0,
							"hauteur" => 0,						
							"alignement_vertical" => 0,
							"police" => 1,
							"alignement_police" => 1,
							"couleur" => 1,
							"couleur_arriere_plan" => 1,
							"puce" => 0
							);
		formulaire_css(".forml", $formulaire, "admin_squelettes.php3#5_1", "spip_style");
		fin_cadre_relief();
	
	
	// Class .spip_bouton
		debut_cadre_relief();
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"5_2\">"._T('info_squelettes_css_formulaires_boutons')."</a></FONT></B></TD></TR>";
		echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
		echo "</TD></TR>";
		// formulaire de css
		$formulaire=array (	"arriere_plan" => 0,
							"bordures" => 0,
							"marges_interieures" => 0,
							"marges_exterieures" => 0,
							"largeur" => 0,
							"hauteur" => 0,						
							"alignement_vertical" => 0,
							"police" => 1,
							"alignement_police" => 1,
							"couleur" => 1,
							"couleur_arriere_plan" => 1,
							"puce" => 0
							);
		formulaire_css(".spip_bouton", $formulaire, "admin_squelettes.php3#5_2", "spip_style");
		fin_cadre_relief();
	
	
	// Class .formrecherche
		debut_cadre_relief();
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD BGCOLOR='#EEEECC' BACKGROUND='img_pack/rien.gif' COLSPAN=2><B><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='black'><a name=\"5_3\">"._T('info_squelettes_css_formulaires_recherche')."</a></FONT></B></TD></TR>";
		echo "<TR><TD BACKGROUND='img_pack/rien.gif' COLSPAN='2' class='verdana2'>";
		echo "</TD></TR>";
		// formulaire de css
		$formulaire=array (	"arriere_plan" => 0,
							"bordures" => 0,
							"marges_interieures" => 0,
							"marges_exterieures" => 0,
							"largeur" => 1,
							"hauteur" => 0,
							"alignement_vertical" => 0,
							"police" => 1,
							"alignement_police" => 1,
							"couleur" => 1,
							"couleur_arriere_plan" => 1,
							"puce" => 0
							);
		formulaire_css(".formrecherche", $formulaire, "admin_squelettes.php3#5_3", "spip_style");
		fin_cadre_relief();
	
	
	fin_cadre_enfonce();
	echo "<br/>";
}
	
	
	
	
	// Affichage des logos SPIP, Agora et XML
	// Rcupration de la config :
	$config=recup_config(spip_logo,"configuration");
	debut_cadre_relief("administration-24.gif");
	echo "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=5 WIDTH=\"100%\">";
	echo "<TR><TD BGCOLOR='$couleur_foncee' BACKGROUND=''><B>";
	echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#FFFFFF'>";
	echo "<a name=\"spip_logo\">"._T('info_squelettes_pied')."</a></FONT></B></TD></TR>";
	echo "<tr><td class='serif'>";
	echo "\n<p align='justify'>";
	echo "<form action=\"admin_squelettes.php3#spip_logo\" method=\"post\">";
	echo "<input type=\"hidden\" name=\"bloc\" value=\"spip_logo\" />";
	echo "<input type=\"checkbox\" name=\"backend\" value=\"oui\" ".configuration_case("oui",$config["backend"])." />&nbsp;"._T('texte_squelettes_logo_backend')."<br/>\n";
	echo "<input type=\"checkbox\" name=\"logo_spip\" value=\"oui\" ".configuration_case("oui",$config["logo_spip"])." />&nbsp;"._T('texte_squelettes_logo_spip')."<br/>\n";
	echo "<input type=\"checkbox\" name=\"logo_w3c\" value=\"oui\" ".configuration_case("oui",$config["logo_w3c"])." />&nbsp;"._T('texte_squelettes_logo_w3c')."<br/>\n";
	echo "<hr/>\n";
	echo "<input type=\"hidden\" name=\"fichier\" value=\"configuration\" />\n";
	echo "<p align=\"right\"><input type=\"submit\" name=\"ok_logo\" class='fondo' value=\""._T('texte_squelettes_submit')."\" /></p>\n";
	echo "</form>";
	echo "</p>";
	echo "</td></tr>";
	echo "</TABLE>";
	fin_cadre_relief();
	echo "<br/>";



	// bouton gnrer l'ambiance gnrale du site
	if (is_dir("../ini") && is_dir("../css")){
		//
		// Gnrer le site si le site a dj t gnr au moins une fois (rpertoire ini)
		//
		debut_cadre_relief("administration-24.gif");
		echo "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=5 WIDTH=\"100%\">";
		echo "<TR><TD BGCOLOR='$couleur_foncee' BACKGROUND=''><B>";
		echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=3 COLOR='#FFFFFF'>";
		echo "<a name=\"generer_squelette\">"._T('titre_admin_squelette_generer_ambiance')."</a></FONT></B></TD></TR>";
		echo "<tr><td class='serif'>";
		echo "\n<br /><p align='center'>";
		echo "\n<form action=\"generer_site.php\" method=\"post\">";
		echo "<input type=\"hidden\" name=\"etape\" value=\"3\" />";
		echo "<input type=\"submit\" class=\"fondo\" value=\""._T('titre_admin_squelette_generer_ambiance')."\" />\n";
		echo "</form>\n";
		echo "</p></td></tr>";
		echo "</TABLE>";
		fin_cadre_relief();
		echo "<br/>";
	}


fin_page();

// Fin modifs Aurlien PIERARD
?>
